<div class="row justify-content-between align-items-center">
  <h3>Ingredients</h3>
  <div class="unit-switch">
    <label for="unit-switch">
      <span>Metric</span>
      <div class="sw-outer">
        <input type="checkbox" id="unit-switch" />
        <div class="sw-inner"></div>
      </div>
      <span>Imperial</span>
    </label>
  </div>
</div>
<div class="add-ingredient-container row">
  <div class="container">
    <form id="ingform">
      <div class="form-group row align-items-center">
        <label class="col-4 col-form-label">Commodity:</label>
        <div class="col-8 c-search-container">
          <input type="text" id="commodity" class="form-control" autocomplete="off" readonly>
          <div id="com_search">
            <i class="fa fa-search" aria-hidden="true"></i>
            <input type="text" id="c_search" class="form-control" autocomplete="off">
            <ul id="com_results">
            </ul>
          </div>
        </div>
        <div class="alert alert-danger commodity-alert" role="alert"></div>
      </div>
      <div class="form-group row align-items-center">
        <div class="input-group">
          <label class="col-4 col-form-label">Amount:</label>
          <input type="number" step="0.01" id="amount" class="form-control" value="" autocomplete="off">
          <div class="input-group-append">
            <select id="unit" class="input-group-text form-control" required>
              <option disabled selected>Select</option>
              <option disabled>Mass</option>
              {% for unit in units %}
              {% if unit.type == 'MASS' %}
              <option value="{{ unit.abbrevation }}" class="{{ unit.system|slice:"0:3"|lower }}">{{ unit.abbrevation }}</option>
              {% endif %}
              {% endfor %}
              <option disabled>Volume</option>
              {% for unit in units %}
              {% if unit.type == 'VOLUME' %}
              <option value="{{ unit.abbrevation }}" class="{{ unit.system|slice:"0:3"|lower }}">{{ unit.abbrevation }}</option>
              {% endif %}
              {% endfor %}
              <option disabled>Others</option>
              {% for unit in units %}
              {% if unit.type == 'OTHER' %}
              <option value="{{ unit.abbrevation }}" class="{{ unit.system|slice:"0:3"|lower }}">{{ unit.abbrevation }}</option>
              {% endif %}
              {% endfor %}
            </select>
          </div>
        </div>
        <div class="alert alert-danger amount-alert" role="alert"></div>
      </div>
      <div class="form-group row align-items-center">
        <label class="col-4 col-form-label">Notes:</label>
        <div class="col-8 c-search-container">
          <input type="text" id="note" class="form-control" autocomplete="off">
        </div>
      </div>
      <div class="row align-items-center">
        <button class="btn btn-primary" id="add-ingredient">✚ Add ingredient</button>
      </div>
    </form>
  </div>
</div>
<div class="ingredients-container row">
  <ul id="ingredients_list" class="met">
  </ul>
  <ul id="ingredients_list_imp" class="imp">
  </ul>
</div>
